Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236816 - Package Review: hal-info - Device information files for HAL
Summary: Package Review: hal-info - Device information files for HAL
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 19:40 UTC by David Zeuthen
Modified: 2013-04-15 05:07 UTC (History)
5 users (show)

Fixed In Version: 20070402-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-18 01:57:47 UTC
mclasen: fedora-review+


Attachments (Terms of Use)

Description David Zeuthen 2007-04-17 19:40:05 UTC
As stated in bug 230707 we should split hal-info. Please see

 http://people.redhat.com/davidz/hal-info/

rpmlint output

 $ rpmlint ../RPMS/noarch/hal-info-20070402-1.noarch.rpm
 W: hal-info no-documentation
 W: hal-info invalid-license AFL/GPL

both of these warnings can be waived I think.

Comment 1 Matthias Clasen 2007-04-17 19:55:29 UTC
- rpmlint output looks ok, those two warnings are waivable
- package name is tarball name, ok
- The version is a bit unusual, but thats the upstream versioning convention, 
  so ok, I guess
- spec file name is ok
- packaging guidelines appear to be followed 
- license is ok

To be continued...

Comment 2 Matthias Clasen 2007-04-17 21:28:34 UTC
mustfix:
- COPYING must be added as %doc
- %install must rm -rf $RPM_BUILD_ROOT

nice to have:
- add AUTHORS, NEWS, ChangeLog to %doc
- use recommended BuildRoot



Comment 3 Matthias Clasen 2007-04-17 22:20:40 UTC
builds fine in mock

Comment 4 David Zeuthen 2007-04-18 00:35:55 UTC
Fixed but mustfix and nice-to-have items mentioned in comment 2.

Comment 5 Matthias Clasen 2007-04-18 00:39:49 UTC
good to go then. approved.

Comment 6 David Zeuthen 2007-04-18 01:57:47 UTC
Thanks for the review. I've got Fedora releng to add'n'tag this for Fedora 7 so
closing this bug. Thanks.

Comment 7 Parag AN(पराग) 2013-04-15 05:07:44 UTC
package review status script is failing to parse this bug as this is not following proper summary, correcting this.


Note You need to log in before you can comment on or make changes to this bug.